## GstNetClientClock GstNetClientClock |

## Functions

GstClock * | gst_net_client_clock_new ()
GstClock * | gst_ntp_clock_new ()

## Properties

gchar * | address | Read / Write / Construct
guint64 | base-time | Read / Write / Construct Only
GstBus * | bus | Read / Write
GstClock * | internal-clock | Read
guint64 | minimum-update-interval | Read / Write
gint | port | Read / Write / Construct
guint64 | round-trip-limit | Read / Write

## Types and Values

struct | GstNetClientClock
typedef | GstNtpClock

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstClock
                    ╰── GstSystemClock
                        ╰── GstNetClientClock
                            ╰── GstNtpClock

## Includes

    #include <gst/net/gstnet.h>

## Description

## Functions

### gst_net_client_clock_new ()

    GstClock *
    gst_net_client_clock_new (const gchar *name,
                              const gchar *remote_address,
                              gint remote_port,
                              GstClockTime base_time);

### gst_ntp_clock_new ()

    GstClock *
    gst_ntp_clock_new (const gchar *name,
                       const gchar *remote_address,
                       gint remote_port,
                       GstClockTime base_time);

## Types and Values

### struct GstNetClientClock

    struct GstNetClientClock;

### GstNtpClock

    typedef struct _GstNetClientClock GstNtpClock;

## Property Details

### The `“address”` property

      “address”                  gchar *

The IP address of the machine providing a time server.

Flags: Read / Write / Construct

Default value: "127.0.0.1"

### The `“base-time”` property

      “base-time”                guint64

Initial time that is reported before synchronization.

Flags: Read / Write / Construct Only

Default value: 0

### The `“bus”` property

      “bus”                      GstBus *

A GstBus on which to send clock status information.

Flags: Read / Write

### The `“internal-clock”` property

      “internal-clock”           GstClock *

Internal clock that directly slaved to the remote clock.

Flags: Read

### The `“minimum-update-interval”` property

      “minimum-update-interval”  guint64

Minimum polling interval for packets, in nanoseconds(0 = no limit).

Flags: Read / Write

Default value: 50000000

### The `“port”` property

      “port”                     gint

The port on which the remote server is listening.

Flags: Read / Write / Construct

Allowed values: [0,65535]

Default value: 5637

### The `“round-trip-limit”` property

      “round-trip-limit”         guint64

Maximum tolerable round-trip interval for packets, in nanoseconds (0 = no limit).

Flags: Read / Write

Default value: 1000000000